class triangle_wave {

    static int max = 96;
    static int delta = 3;
    static int delta_t = 1;
    static byte buf[];

    static public void triangle(
	int size, 
	int max, 
	int delta,
	int delta_t,
	byte buffer[],
	int offset) {    

	int i;
	int now;

	if (delta_t<=0) return;
	now = 0;
	i=offset;
	while (i<=size) { 
	    for(int t=0;t<delta_t && i<=size;t++) {
		buffer[i++] = (byte)(now+128);
	    }
	    if (now+delta <= -max || max <= now+delta) {
		delta = -delta;
	    }
	    now += delta;
	}
    }

    static public void square(
	int size, 
	int max, 
	int delta_t,
	byte buffer[],
	int offset) {    

	int i;
	int now;

	if (delta_t<=0) return;
	now = max;
	i=offset;
	while (i<=size) { 
	    for(int t=0;t<delta_t && i<=size;t++) {
		buffer[i++] = (byte)(max+128);
	    }
	    for(int t=0;t<delta_t && i<=size;t++) {
		buffer[i++] = (byte)(-max+128);
	    }
	}
    }

    static public void main(String args[])
    {
	int size,i;
	buf = new byte[1000000];
	try {
	    size=System.in.read(buf);
	} catch(java.io.IOException e) {
	    return;
	}
	if (size>0) {
	    for(i=8;i<size;i++) {
		if (buf[i  ]==0x64 && buf[i+1]==0x61 &&
		    buf[i+2]==0x74 && buf[i+3]==0x61) {
		    i+=4;
		    break;
		}
	    }
	    if (size-i>0) {
		// triangle(size,max,delta,delta_t,buf,i);
		square(size,max/2,delta_t*2,buf,i);
		System.out.write(buf,0,size);
	    }
	}
    }
}
